
body { 
  display: grid;
  grid-template-areas: 
    "header header header"
    "nav article  article"
    "footer footer footer";
  grid-template-rows: 1fr 1fr 1fr;
  grid-template-columns: 20% 1fr ;
  grid-gap: 10px;
  height: 100vh;
  margin: 0;
  }
header, footer, article, nav, div {
  padding: 20px;
  background: gold;
}
header {
  
    text-align: center;
  grid-area: header;
}
footer {
    text-align: center;
  grid-area: footer;
}
#content { 
  grid-area: article;      
  }
#menu-block { 
    text-align: left;
  grid-area: nav; 
  }

